Arbor 3: FSM & BT Graph Editor 3.1.1

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
NodeBehaviour Class Reference

ArborFSMの各種ノードに割り当てるスクリプトの基本クラス。 More...

Inheritance diagram for NodeBehaviour:

## Public Member Functions
CalculatorSlotField | GetCalculatorSlotField (int index)
| CalculatorSlotFieldを取得する。 More...
CalculatorSlotField | GetCalculatorSlotField (CalculatorSlot slot)
| CalculatorSlotFieldを取得する。 More...
void | RebuildCalculatorSlotFields ()
| CalculatorSlotFieldを再構築する。 More...
void | Initialize (NodeGraph nodeGraph, int nodeID)
| Editor用。 More...

## Static Public Member Functions
static NodeBehaviour | CreateNodeBehaviour (Node node, System.Type type, bool duplicate=false)
| Editor用。 More...
static Type | CreateNodeBehaviour< Type > (Node node, bool duplicate=false)
| Editor用。 More...
static void | Destroy (NodeBehaviour behaviour)
| NodeBehaviourを破棄する。 More...

## Protected Member Functions
virtual void | OnValidate ()
| MonoBehaviour.OnValidate を参照してください More...
virtual void | OnCreated ()
| 生成時に呼ばれるメソッド. More...
virtual void | OnInitializeEnabled ()
| enabledの初期化を行うために呼ばれる。 More...
virtual void | OnPreDestroy ()
| 破棄前に呼ばれるメソッド。 More...
virtual void | OnGraphPause ()
| この関数はグラフが一時停止したときに呼ばれる。 More...
virtual void | OnGraphResume ()
| この関数はグラフが再開したときに呼ばれる。 More...
virtual void | OnGraphStop ()
| この関数はグラフが停止したときに呼ばれる。 More...

## Properties
NodeGraph | nodeGraph`[get]`
| NodeGraphを取得。 More...
int | nodeID`[get]`
| ノードIDを取得。 More...
Node | node`[get]`
| Nodeを取得。 More...
int | calculatorSlotFieldCount`[get]`
| CalculatorSlotFieldの個数 More...

## Detailed Description

ArborFSMの各種ノードに割り当てるスクリプトの基本クラス。

## Member Function Documentation

static NodeBehaviour CreateNodeBehaviour | ( | Node | node,
|  | System.Type | type,
|  | bool | duplicate = `false`
| ) |  |
| static

Editor用。

static Type CreateNodeBehaviour< Type > | ( | Node | node,
|  | bool | duplicate = `false`
| ) |  |
| static

Editor用。

Type Constraints

  Type | : | NodeBehaviour |

static void Destroy | ( | NodeBehaviour | behaviour | ) |
| static

NodeBehaviourを破棄する。

Parameters

  behaviour | NodeBehaviour

CalculatorSlotField GetCalculatorSlotField | ( | int | index | ) |

CalculatorSlotFieldを取得する。

Parameters

  index | インデックス

Returns
  CalculatorSlotField

CalculatorSlotField GetCalculatorSlotField | ( | CalculatorSlot | slot | ) |

CalculatorSlotFieldを取得する。

Parameters

  slot | CalculatorSlot

Returns
  CalculatorSlotField

void Initialize | ( | NodeGraph | nodeGraph,
|  | int | nodeID
| ) |  |

Editor用。

Parameters

  nodeGraph | NodeGraph
  nodeID | ノードID

virtual void OnCreated | ( |  | ) |
| protected virtual

生成時に呼ばれるメソッド.

virtual void OnGraphPause | ( |  | ) |
| protected virtual

この関数はグラフが一時停止したときに呼ばれる。

virtual void OnGraphResume | ( |  | ) |
| protected virtual

この関数はグラフが再開したときに呼ばれる。

virtual void OnGraphStop | ( |  | ) |
| protected virtual

この関数はグラフが停止したときに呼ばれる。

virtual void OnInitializeEnabled | ( |  | ) |
| protected virtual

enabledの初期化を行うために呼ばれる。

Reimplemented in StateBehaviour, and TreeNodeBehaviour.

virtual void OnPreDestroy | ( |  | ) |
| protected virtual

破棄前に呼ばれるメソッド。

virtual void OnValidate | ( |  | ) |
| protected virtual

MonoBehaviour.OnValidate を参照してください

Reimplemented in Calculator.

void RebuildCalculatorSlotFields | ( |  | ) |

CalculatorSlotFieldを再構築する。

ランタイム中にCalculatorSlotのフィールドの数を変更した場合に呼ぶ必要があります。

## Property Documentation

int calculatorSlotFieldCount
| get

CalculatorSlotFieldの個数

Node node
| get

Nodeを取得。

NodeGraph nodeGraph
| get

NodeGraphを取得。

int nodeID
| get

ノードIDを取得。